org.apache.hadoop.yarn.webapp.view

## Class TextPage

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.View
  - - org.apache.hadoop.yarn.webapp.view.TextView
    - - org.apache.hadoop.yarn.webapp.view.TextPage

- All Implemented Interfaces:
    Params
  Direct Known Subclasses:
    DefaultPage, RobotsTextPage

      @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public abstract class TextPage
      extends TextView

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

      `View.ViewContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

      `LOG`

    - ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

      `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextPage()`
    `protected` | `TextPage(View.ViewContext ctx)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

      `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

      `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, render, request, response, root_url, root, set, setTitle, setTitle, status, url`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextPage

          protected TextPage()

    - #### TextPage

          protected TextPage(View.ViewContext ctx)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.